<?php
/**
 * @category    Fishpig
 * @package     Fishpig_Wordpress
 * @license     http://fishpig.co.uk/license.txt
 * @author      Ben Tideswell <help@fishpig.co.uk>
 */
?>
<form id="respond" method="post" action="<?php echo $this->getCommentFormAction() ?>">
	<div class="display-none">
		<input type="hidden" name="comment_post_ID" value="<?php echo $this->getPostId() ?>"/>
		<input type="hidden" name="comment_parent" id="comment_parent" value="<?php echo (int)$this->getRequest()->getParam('replytocom', 0) ?>"/>
	</div>
	<div class="fieldset">
		<div class="legend"><?php echo $this->__('Leave a Reply') ?></div>
		<?php if ($this->customerMustLogin()): ?>	
			<p><?php echo $this->__('Sorry, you must be logged in to post a comment.') ?></p>
			<p><button class="button btn-login" type="button" onclick="setLocation('<?php echo $this->getLoginLink() ?>');"><span><span><?php echo $this->__('Login') ?></span></span></button></p>
		<?php else: ?>
			<ul class="form-list">
				<?php if (!$this->isCustomerLoggedIn()): ?>
					<li class="fields">
						<div class="field">
							<label for="author" class="required"><?php echo $this->__('Name') ?> <em>*</em></label>
							<div class="input-box">
								<input type="text" id="author" name="author" class="input-text required-entry" value=""/>
							</div>
						</div>
						<div class="field">
							<label for="email" class="required"><?php echo $this->__('Email') ?> <em>*</em></label>
							<div class="input-box">
								<input type="text" id="email" name="email" class="input-text required-entry validate-email" value=""/>
							</div>
						</div>
					</li>
				<?php endif; ?>
				<li>
					<label for="url"><?php echo $this->__('Website') ?></label>
					<div class="input-box">
						<input type="text" id="url" name="url" class="input-text" value=""/>
					</div>
				</li>
				<li class="wide">
					<label for="comment" class="required"><?php echo $this->__('Comment') ?> <em>*</em></label>
					<div class="input-box">
						<textarea id="comment" name="comment" rows="8" cols="45" class="required-entry"></textarea>
					</div>
				</li>
				<?php echo $this->getChildHtml('before_form_end') ?>
			</ul>
		<?php endif; ?>
	</div>
	<?php if (!$this->customerMustLogin()): ?>	
	<div class="buttons-set">
		<button type="submit" name="submit"  class="button" value="Post your comment" id="post-the-comment">
			<span><span><?php echo $this->__('Leave a comment') ?></span></span>
		</button>
		<span class="please-wait" id="respond-please-wait" style="display:none;">
			<img src="<?php echo $this->getSkinUrl('images/opc-ajax-loader.gif') ?>" alt="<?php echo $this->__('Loading next step...') ?>" title="<?php echo $this->__('Please wait...') ?>" class="v-middle" /> <?php echo $this->__('Please wait...') ?>
		</span>
	</div>
	<script type="text/javascript">WPComments=new (function(formId){this.validation=new Validation(formId,{onSubmit:null});$(formId).observe('submit',function(e){if(!this.validation.validate()){Event.stop(e);}else if(typeof grecaptcha==='object'&&grecaptcha.getResponse().length===0){alert('Please complete the ReCaptcha');Event.stop(e);}}.bindAsEventListener(this));})('respond');</script>
	<?php endif; ?>
</form>